> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post coaapifixed asset automation delete

> The type of the None singleton.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json post /coa/api/fixed-asset-automation/{id}/delete
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.


    ## Rate limits

    API users can make up to **5 requests per second**. This limit is shared
    across

    all endpoints for the same API user. Requests that exceed the limit receive
    a

    `429 Too Many Requests` response. Wait for the number of seconds specified
    in

    the `Retry-After` response header before retrying.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/fixed-asset-automation/{id}/delete:
    post:
      tags:
        - coa
      description: The type of the None singleton.
      operationId: coa_api_fixed_asset_automation_delete_create
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/DeleteRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/DeleteRequest'
      responses:
        '202':
          description: Sent for approval; the record is deleted once a reviewer approves.
        '204':
          description: Deleted.
components:
  schemas:
    DeleteRequest:
      type: object
      description: >-
        Body of a ``POST …/delete`` request. Also documents that body in the API
        schema.
      properties:
        reason:
          type: string
          description: Why the record is being deleted. Saved to the audit log.
          maxLength: 500

````